#ifndef STUDENT_H
#define STUDENT_H
// version : 1.1
#include <string>

#define MAX_SECTION 2

struct Student
{
	string nom;
	string prenom;
	int  age;
	string section;
};

// keep asking correct data until a correct student is initialized
Student student_init(void);

// return true is successfully added and false if alread present in database
bool    student_add_to_database(const Student& new_student);

// return true if all fields of e1 and e2 are equal
bool	student_are_the_same(const Student& e1, const Student& e2);

// display all students form the database hidden in implementation
void	student_display_all();

#endif
